Bug 240368 - "vgchange -an VolGroup01" pops a selinux violation.
"vgchange -an VolGroup01" pops a selinux violation.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
: OtherQA
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-16 15:14 EDT by brian naasz
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0544
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 11:39:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description brian naasz 2007-05-16 15:14:02 EDT
Description of problem:

"vgchange -an VolGroup01" pops a selinux violation.


Version-Release number of selected component (if applicable):

selinux-policy-2.4.6-30.el5
selinux-policy-targeted-2.4.6-30.el5
lvm2-2.02.16-3.el5
system-config-lvm-1.0.22-1.0.el5

How reproducible:

I was not able to reproduce in the environment it occured in.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

It apears to have left a de-activated Volume Group in /dev/mapper/, but
otherwise it didnt impact functionality.

Expected results:


Additional info:

Source Context:  system_u:system_r:lvm_t:SystemLow-SystemHighTarget
Context:  system_u:object_r:device_tTarget Objects:  VolGroup01 [ dir ]Affected
RPM Packages:  lvm2-2.02.16-3.el5 [application]Policy
RPM:  selinux-policy-2.4.6-30.el5Selinux Enabled:  TruePolicy Type:  targetedMLS
Enabled:  TrueEnforcing Mode:  EnforcingPlugin Name:  plugins.catchall_fileHost
Name:  chi-creedance2.checkfreeinvsvcs.comPlatform:  Linux
chi-creedance2.checkfreeinvsvcs.com 2.6.18-8.1.3.el5 #1 SMP Mon Apr 16 15:54:12
EDT 2007 i686 i686Alert Count:  1Line Numbers:   Raw Audit Messages :avc: denied
{ rmdir } for comm="lvm" dev=tmpfs egid=0 euid=0 exe="/usr/sbin/lvm" exit=-13
fsgid=0 fsuid=0 gid=0 items=0 name="VolGroup01" pid=4605
scontext=system_u:system_r:lvm_t:s0-s0:c0.c1023 sgid=0
subj=system_u:system_r:lvm_t:s0-s0:c0.c1023 suid=0 tclass=dir
tcontext=system_u:object_r:device_t:s0 tty=pts0 uid=0
Comment 1 Daniel Walsh 2007-05-16 15:26:21 EDT
Fixed in selinux-policy-2.4.6-67 in u1.

Preview release available in http://people.redhat.com/dwalsh/SELinux/RHEL5/u1
Comment 3 RHEL Product and Program Management 2007-05-18 12:24:12 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Eduard Benes 2007-08-21 12:32:28 EDT
Brian, could you try the new policy available at the link below and reply 
whether the new packages solve your problem. Thank you.

http://people.redhat.com/dwalsh/SELinux/RHEL5/noarch/
Comment 9 errata-xmlrpc 2007-11-07 11:39:43 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0544.html

Note You need to log in before you can comment on or make changes to this bug.